Table of Contents

## Name

glIndexMask - control the writing of individual bits in the color

index buffers

## C Specification

void glIndexMask( GLuint mask )

eqn not supported

## Parameters

mask
  Specifies a bit mask to enable and disable the writing of individual bits in the color index buffers. Initially, the mask is all 1's.

## Description

glIndexMask controls the writing of individual bits in the color index buffers. The least significant $n$ bits of mask, where $n$ is the number of bits in a color index buffer, specify a mask. Where a 1 (one) appears in the mask, it's possible to write to the corresponding bit in the color index buffer (or buffers). Where a 0 (zero) appears, the corresponding bit is write-protected.

This mask is used only in color index mode, and it affects only the buffers currently selected for writing (see glDrawBuffer). Initially, all bits are enabled for writing.

## Errors

GL_INVALID_OPERATION is generated if glIndexMask is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_INDEX_WRITEMASK

## See Also

glColorMask(3G) , glDepthMask(3G) , glDrawBuffer(3G) , glIndex(3G) , glIndexPointer(3G) , glStencilMask(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also